Subject: Gnome boxes doesn't run my guest OS anymore

From: RAKOTONJATOVO Ampinganiaina Heritoky <[email-masked]>
Date: Tue, 23 Sep 2025 18:06:04 +0300

Hello,

I upgraded my Guix System OS yesterday using the following commands:

guix pull sudo guix system reconfigure system-configuration.scm sudo reboot

||

After the upgrade, my Gnome Boxes couldn't run any of the virtual 
machines I tried to provide.

I attempted to revert to my old configuration using the following commands:

sudo guix system switch-generation 29 sudo reboot

However, it still doesn't work.

I am reaching out to see if you know how to repair this issue. I 
urgently need my VMs to be functional this week.

The picture below describes what happened: